Bug 344931 - No focus for screensaver unlock password dialog under compiz
Summary: No focus for screensaver unlock password dialog under compiz
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-22 07:11 UTC by Osma Ahvenlampi
Modified: 2009-01-09 07:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:20:04 UTC


Attachments (Terms of Use)
compiz gconf settings (367.62 KB, text/plain)
2007-10-22 07:11 UTC, Osma Ahvenlampi
no flags Details
gnome-screensaver gconf settings (3.29 KB, text/plain)
2007-10-22 07:13 UTC, Osma Ahvenlampi
no flags Details

Description Osma Ahvenlampi 2007-10-22 07:11:35 UTC
Description of problem:

On F8t3 + latest updates (and also before the updates), I frequently see a
situation where I can not enter my password to gnome-screensaver's unlock dialog
because it does not have keyboard focus. I'm running compiz, and it seems to me
that it's related to its focus handling.

Version-Release number of selected component (if applicable):

compiz-gnome-0.6.0-2.fc8
gnome-screensaver-2.20.0-8.fc8
compiz-0.6.0-2.fc8

How reproducible:

Regular, but not always

Steps to Reproduce:
1. leave desktop idle, wait for screensaver to kick in
2. touch mouse
3. try to enter password
  
Actual results:

No focus in password dialog. Must repeatedly click cancel button, unlock button
(without password), etc etc until after a few tries the dialog gets focus.

Also, alt-tab can cycle through windows showing their thumbnails at this time,
although the screensaver always comes on top when alt is released. This of
course leaks potentially sensible information to whoever is trying to unlock the
display (running apps, possibly also data shown if readable from the thumbnails).

Expected results:

Unlock dialog would always have focus, alt-tab should not work.

Additional info:

compiz commandline: compiz --sm-client-id default1 glib gconf
gconf settings for compiz and gnome-screensaver in attachments.

Comment 1 Osma Ahvenlampi 2007-10-22 07:11:35 UTC
Created attachment 233901 [details]
compiz gconf settings

Comment 2 Osma Ahvenlampi 2007-10-22 07:13:13 UTC
Created attachment 233911 [details]
gnome-screensaver gconf settings

Comment 3 Ray Strode [halfline] 2007-10-22 14:00:18 UTC
do you see this with metacity too?

Comment 4 Osma Ahvenlampi 2007-10-22 16:27:33 UTC
I have not been able to repeat this with metacity. I guess that makes it a
compiz bug..

Comment 5 Osma Ahvenlampi 2007-10-23 06:33:24 UTC
As per earlier comments, this looks like a compiz bug instead of
gnome-screensaver. Perhaps related to #201614 and #241948    	  	  

Comment 6 Bug Zapper 2008-11-26 08:03:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 07:20:04 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.